BERGenerator (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1

## Class BERGenerator

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Generator
  - - org.bouncycastle.asn1.BERGenerator

- Direct Known Subclasses:
    BEROctetStringGenerator, BERSequenceGenerator

      public class BERGenerator
      extends ASN1Generator

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.asn1.ASN1Generator

      `_out`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BERGenerator(java.io.OutputStream out)`
    `` | `BERGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.OutputStream` | `getRawOutputStream()`
    `protected void` | `writeBERBody(java.io.InputStream contentStream)`
    `protected void` | `writeBEREnd()`
    `protected void` | `writeBERHeader(int tag)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BERGenerator

          protected BERGenerator(java.io.OutputStream out)

    - #### BERGenerator

          public BERGenerator(java.io.OutputStream out,
                      int tagNo,
                      boolean isExplicit)

  - ### Method Detail

    - #### getRawOutputStream

          public java.io.OutputStream getRawOutputStream()

      Specified by:
        `getRawOutputStream` in class `ASN1Generator`

    - #### writeBERHeader

          protected void writeBERHeader(int tag)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeBERBody

          protected void writeBERBody(java.io.InputStream contentStream)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeBEREnd

          protected void writeBEREnd()
                              throws java.io.IOException

      Throws:
        `java.io.IOException`